---
title: Manage refunds
url: amazon-pay-checkout/v1-manage-refunds.html
---

**[Step 6 of 8]** There is no time limit to initiate a refund. You can either issue refunds using [Create Refund](../amazon-pay-api-v2/v1-refund.html), or you can manually issue refunds through <a href="http://sellercentral.amazon.com/" target="_blank" rel="noopener noreferrer">Seller Central</a>, the account management site for Amazon Pay merchants. Amazon Pay will notify the buyer, after a refund has been successfully processed. See [buyer communication](../amazon-pay-checkout/v1-buyer-communication.html) for more info.

* TOC
{:toc}
{::options toc_levels="3" /}

***

### 1. Issue a refund

[Create Refund](../amazon-pay-api-v2/v1-refund.html) to issue a full or partial refund for a successful Charge. You may (at your discretion) also choose to overcompensate the buyer, and refund more than the original Charge amount by either 15% or 75 USD/GBP/EUR or 8,400 YEN (whichever is less).

#### Request 

```
curl "https://pay-api.amazon.com/:environment/:version/refunds/" \ 
-X POST
-H "x-amz-pay-idempotency-key: AVLo5tI10BHgEk2jEXAMPLEKEY"
-H "x-amz-pay-authorization: Px2e5oHhQZ88vVhc0DO%2FsShHj8MDDg%3DEXAMPLESIGNATURE"
-d @request_body
```

#### Request body

```
{
    "chargeId": "CHARGE_ID",
    "refundAmount": {
        "amount": "14.00",
        "currencyCode": "USD"
    },
    "softDescriptor": "Descriptor"
}
```


#### Request parameters

<table width="100%" border="1">
    <tbody>
        <tr id='FGN9CAuV23c'>
            <td id='s:FGN9CAuV23c;FGN9CAtarNj' style='vertical-align: top; font-weight: bold; width: 30%;' class='bold'>Name
                <br /></td>
            <td id='s:FGN9CAuV23c;FGN9CArwD7N' style='vertical-align: top; font-weight: bold; width: 20%;' class='bold'>Location
                <br /></td>
            <td id='s:FGN9CAuV23c;FGN9CAzaJu3' style='vertical-align: top; font-weight: bold; width: 50%;' class='bold'>Description
                <br /></td>
        </tr>
        <tr id='FGN9CAFynd4'>
            <td id='s:FGN9CAFynd4;FGN9CAtarNj' style='vertical-align: top;'>x-amz-pay-idempotency-key<br><b>(required)</b><br><br>Type: string
                <br /></td>
            <td id='s:FGN9CAFynd4;FGN9CArwD7N' style='vertical-align: top;'>Header
                <br /></td>
            <td id='s:FGN9CAFynd4;FGN9CAzaJu3' style='vertical-align: top;'><a href="../amazon-pay-api-v2/v1-idempotency.md">Idempotency key</a> to safely retry requests
                <br /></td>
        </tr>
        <tr id='FGN9CATLR77'>
            <td id='s:FGN9CATLR77;FGN9CAtarNj' style='vertical-align: top;'>chargeId<br><b>(required)</b><br><br>Type: string
                <br /></td>
            <td id='s:FGN9CATLR77;FGN9CArwD7N' style='vertical-align: top;'>Body
                <br /></td>
            <td id='s:FGN9CATLR77;FGN9CAzaJu3' style='vertical-align: top;'>Charge identifier
                <br /></td>
        </tr>
        <tr id='FGN9CAcUbUe'>
            <td id='s:FGN9CAcUbUe;FGN9CAtarNj' style='vertical-align: top;'>refundAmount<br><b>(required)</b><br><br>Type: <a href="../amazon-pay-api-v2/v1-refund.md">price</a>
                <br /></td>
            <td id='s:FGN9CAcUbUe;FGN9CArwD7N' style='vertical-align: top;'>Body
                <br /></td>
            <td id='s:FGN9CAcUbUe;FGN9CAzaJu3' style='vertical-align: top;'>Amount to be refunded. Refund amount can be either 15% or 75 USD/GBP/EUR (whichever is less) above the captured amount<br><br> Maximum value: 150,000 USD/GBP/EUR
                <br /></td>
        </tr>
        <tr id='FGN9CAnU8xg'>
            <td id='s:FGN9CAnU8xg;FGN9CAtarNj' style='vertical-align: top;'>softDescriptor<br><br>Type: string
                <br /></td>
            <td id='s:FGN9CAnU8xg;FGN9CArwD7N' style='vertical-align: top;'>Body
                <br /></td>
            <td id='s:FGN9CAnU8xg;FGN9CAzaJu3' style='vertical-align: top;'>The description is shown on the buyer payment instrument (such as bank) statement<br><br>Default: "AMZ* &lt;MerchantStoreName&gt; amzn.com/pmts" <br><br>Max length: 16 characters
                <br /></td>
        </tr>
    </tbody>
</table>

#### Response

```
{
     "refundId": "S01-5105180-3221187-R022311",
     "chargeId": "S01-5105180-3221187-C056351",
     "refundAmount": {
         "amount": "14.00",
         "currencyCode": "USD"
     },
     "softDescriptor": "Descriptor",
     "creationTimestamp": "20190714T155300Z",
     "statusDetail": {
         "state": "Pending",
         "reasonCode": null,
         "reasonDescription": null,
         "lastUpdatedTimestamp": "20190714T155300Z"
     }
}
```

***

### 2. Check refund status

[Get Refund](../amazon-pay-api-v2/v1-refund.html) to check Refund status. Amazon Pay processes refunds asynchronously. Either set up Instant Payment Notifications (IPNs), or implement a polling mechanism  to query the [Get Refund](../amazon-pay-api-v2/v1-refund.html) API for updates. See [asynchronous processing](../amazon-pay-checkout/v1-asynchronous-processing.html) for more info.

#### Refund state explanation

<table width="100%" border="1">
    <tbody>
        <tr id='FGN9CAsvAdD'>
            <td id='s:FGN9CAsvAdD;FGN9CAO5JkC' style='vertical-align: top; font-weight: bold; width: 30%;' class='bold'>Refund status
                <br /></td>
            <td id='s:FGN9CAsvAdD;FGN9CAoxq4P' style='vertical-align: top; font-weight: bold; width: 70%;' class='bold'>Description
                <br /></td>
        </tr>
        <tr id='FGN9CAG51CG'>
            <td id='s:FGN9CAG51CG;FGN9CAO5JkC' style='text-align: left;vertical-align: top;'>RefundInitiated
                <br /></td>
            <td id='s:FGN9CAG51CG;FGN9CAoxq4P' style='vertical-align: top;'>Refund is still pending processing
                <br /></td>
        </tr>
        <tr id='FGN9CAoRKpI'>
            <td id='s:FGN9CAoRKpI;FGN9CAO5JkC' style='text-align: left;vertical-align: top;'>Refunded
                <br /></td>
            <td id='s:FGN9CAoRKpI;FGN9CAoxq4P' style='vertical-align: top;'>Refund was successful
                <br /></td>
        </tr>
        <tr id='FGN9CAXHecY'>
            <td id='s:FGN9CAXHecY;FGN9CAO5JkC' style='text-align: left;vertical-align: top;'>Declined
                <br /></td>
            <td id='s:FGN9CAXHecY;FGN9CAoxq4P' style='vertical-align: top;'>Refund was declined. Check the reason code for more information:<br><br><b>AmazonRejected</b> - Amazon has rejected the refund, potentially due to a negative balance in your merchant account. To resolve this, you should repay the negative seller balance (NSB) to Amazon, then attempt the refund again or issue a refund to the buyer in an alternate manner (for example, a gift card or store credit).<b><br><br>ProcessingFailure</b> - Amazon could not process the transaction because of an internal processing error, or because the buyer has already received a refund from an A-to-z claim, or a chargeback. You should only retry the refund if the Capture object is in the Completed state. Otherwise, you should refund the buyer in an alternative way (for example, a store credit or a check)
                <br /></td>
        </tr>
    </tbody>
</table>


#### Request

```
curl "https://pay-api.amazon.com/:environment/:version/refunds/:refundId" \ 
-X GET
-H "x-amz-pay-authorization: Px2e5oHhQZ88vVhc0DO%2FsShHj8MDDg%3DEXAMPLESIGNATURE"
```

#### Request parameters

<table width="100%" border="1">
    <tbody>
        <tr id='FGN9CASW23y'>
            <td id='s:FGN9CASW23y;FGN9CAPalJ7' style='vertical-align: top; font-weight: bold; width: 30%;' class='bold'>Name
                <br /></td>
            <td id='s:FGN9CASW23y;FGN9CAsWMNG' style='vertical-align: top; font-weight: bold; width: 20%;' class='bold'>Location
                <br /></td>
            <td id='s:FGN9CASW23y;FGN9CAgAHSM' style='vertical-align: top; font-weight: bold; width: 50%;' class='bold'>Description
                <br /></td>
        </tr>
        <tr id='FGN9CAYWurT'>
            <td id='s:FGN9CAYWurT;FGN9CAPalJ7' style='vertical-align: top;'>refundId<br><b>(required)</b><br><br>Type: string
                <br /></td>
            <td id='s:FGN9CAYWurT;FGN9CAsWMNG' style='vertical-align: top;'>Path Parameter
                <br /></td>
            <td id='s:FGN9CAYWurT;FGN9CAgAHSM' style='vertical-align: top;'>Refund identifier
                <br /></td>
        </tr>
    </tbody>
</table>

#### Response

```
{
     "refundId": "S01-5105180-3221187-R022311",
     "chargeId": "S01-5105180-3221187-C056351",
     "refundAmount":{
         "amount": "14.00",
         "currencyCode": "USD"
     },
     "softDescriptor": "Descriptor",
     "creationTimestamp": "20190714T155300Z",
     "statusDetail":{
         "state": "Refunded",
         "reasonCode": null,
         "reasonDescription": null,
         "lastUpdatedTimestamp": "20190714T155300Z"
     }
}
```








